---
title: "Git for databases"
status: idea
slug: git4db
date: "2020-05-23 00:22:25"
listed: true
---

## Description

The idea would be to have a gitlab/gitea like interface for databases. Databases can be interactively explored.

An issue would work the same.

A PR would be an INSERT, UPDATE or DELETE statement that could be reviewed. Once approved, the PR will be executed on the database. Versioning could be translated into making snapshots.

But more importantly, every single database command is stored in the right order. A new database could always be rebuilt up to any arbitrary point by simply running the commands prior to that point.

Already existing solution: [Liquibase](https://www.liquibase.org/)? [repo](https://github.com/liquibase/liquibase/)

## Status

Just an idea

## Updates

[2020-05-23 00:22:25] Added project